Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.context
Class ExternalContextWrapper

    java.lang.Object
      javax.faces.context.ExternalContext
          javax.faces.context.ExternalContextWrapper

All Implemented Interfaces:
  FacesWrapper<ExternalContext>

    public abstract class ExternalContextWrapper

extends ExternalContext
implements FacesWrapper<ExternalContext>

Provides a simple implementation of `ExternalContext` that can be subclassed by developers wishing to provide specialized behavior to an existing `ExternalContext` instance. The default implementation of all methods is to call through to the wrapped `ExternalContext` instance.

Usage: extend this class and override `getWrapped()` to return the instance being wrapping.

Since:
  2.0

Field Summary

Fields inherited from class javax.faces.context.ExternalContext
`BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH`

Constructor Summary
`ExternalContextWrapper()`

Method Summary
`void` | `addResponseCookie(String name, String value, Map<String,Object> properties)` The default behavior of this method is to call `ExternalContext.addResponseCookie(String, String, Map)` on the wrapped `ExternalContext` object.
`void` | `addResponseHeader(String name, String value)` The default behavior of this method is to call `ExternalContext.addResponseHeader(String,String)` on the wrapped `ExternalContext` object.
`void` | `dispatch(String path)` The default behavior of this method is to call `ExternalContext.dispatch(String)` on the wrapped `ExternalContext` object.
`String` | `encodeActionURL(String url)` The default behavior of this method is to call `ExternalContext.encodeActionURL(String)` on the wrapped `ExternalContext` object.
`String` | `encodeBookmarkableURL(String baseUrl, Map<String,List<String>> parameters)` The default behavior of this method is to call `ExternalContext.encodeBookmarkableURL(String, java.util.Map)` on the wrapped `ExternalContext` object.
`String` | `encodeNamespace(String name)` The default behavior of this method is to call `ExternalContext.encodeNamespace(String)` on the wrapped `ExternalContext` object.
`String` | `encodePartialActionURL(String url)` Return the input URL, after performing any rewriting needed to ensure that it can be used in a partial page submission (ajax request) to correctly identify an addressable action in the current application.
`String` | `encodeRedirectURL(String baseUrl, Map<String,List<String>> parameters)` The default behavior of this method is to call `ExternalContext.encodeRedirectURL(String, java.util.Map)` on the wrapped `ExternalContext` object.
`String` | `encodeResourceURL(String url)` The default behavior of this method is to call `ExternalContext.encodeResourceURL(String)` on the wrapped `ExternalContext` object.
`Map<String,Object>` | `getApplicationMap()` The default behavior of this method is to call `ExternalContext.getApplicationMap()` on the wrapped `ExternalContext` object.
`String` | `getAuthType()` The default behavior of this method is to call `ExternalContext.getAuthType()` on the wrapped `ExternalContext` object.
`Object` | `getContext()` The default behavior of this method is to call `ExternalContext.getContext()` on the wrapped `ExternalContext` object.
`String` | `getContextName()` The default behavior of this method is to call `ExternalContext.getContextName()` on the wrapped `ExternalContext` object.
`Flash` | `getFlash()` The default behavior of this method is to call `ExternalContext.getFlash()` on the wrapped `ExternalContext` object.
`String` | `getInitParameter(String name)` The default behavior of this method is to call `ExternalContext.getInitParameter(String)` on the wrapped `ExternalContext` object.
`Map` | `getInitParameterMap()` The default behavior of this method is to call `ExternalContext.getInitParameterMap()` on the wrapped `ExternalContext` object.
`String` | `getMimeType(String file)` The default behavior of this method is to call `ExternalContext.getMimeType(String)` on the wrapped `ExternalContext` object.
`String` | `getRealPath(String path)` The default behavior of this method is to call `ExternalContext.getRealPath(String)` on the wrapped `ExternalContext` object.
`String` | `getRemoteUser()` The default behavior of this method is to call `ExternalContext.getRemoteUser()` on the wrapped `ExternalContext` object.
`Object` | `getRequest()` The default behavior of this method is to call `ExternalContext.getRequest()` on the wrapped `ExternalContext` object.
`String` | `getRequestCharacterEncoding()` The default behavior of this method is to call `ExternalContext.getRequestCharacterEncoding()` on the wrapped `ExternalContext` object.
`int` | `getRequestContentLength()` The default behavior of this method is to call `ExternalContext.getRequestContentLength()` on the wrapped `ExternalContext` object.
`String` | `getRequestContentType()` The default behavior of this method is to call `ExternalContext.getRequestContentType()` on the wrapped `ExternalContext` object.
`String` | `getRequestContextPath()` The default behavior of this method is to call `ExternalContext.getRequestContextPath()` on the wrapped `ExternalContext` object.
`Map<String,Object>` | `getRequestCookieMap()` The default behavior of this method is to call `ExternalContext.getRequestCookieMap()` on the wrapped `ExternalContext` object.
`Map<String,String>` | `getRequestHeaderMap()` The default behavior of this method is to call `ExternalContext.getRequestHeaderMap()` on the wrapped `ExternalContext` object.
`Map<String,String[]>` | `getRequestHeaderValuesMap()` The default behavior of this method is to call `ExternalContext.getRequestHeaderValuesMap()` on the wrapped `ExternalContext` object.
`Locale` | `getRequestLocale()` The default behavior of this method is to call `ExternalContext.getRequestLocale()` on the wrapped `ExternalContext` object.
`Iterator<Locale>` | `getRequestLocales()` The default behavior of this method is to call `ExternalContext.getRequestLocales()` on the wrapped `ExternalContext` object.
`Map<String,Object>` | `getRequestMap()` The default behavior of this method is to call `ExternalContext.getRequestMap()` on the wrapped `ExternalContext` object.
`Map<String,String>` | `getRequestParameterMap()` The default behavior of this method is to call `ExternalContext.getRequestParameterMap()` on the wrapped `ExternalContext` object.
`Iterator<String>` | `getRequestParameterNames()` The default behavior of this method is to call `ExternalContext.getRequestParameterNames()` on the wrapped `ExternalContext` object.
`Map<String,String[]>` | `getRequestParameterValuesMap()` The default behavior of this method is to call `ExternalContext.getRequestParameterValuesMap()` on the wrapped `ExternalContext` object.
`String` | `getRequestPathInfo()` The default behavior of this method is to call `ExternalContext.getRequestPathInfo()` on the wrapped `ExternalContext` object.
`String` | `getRequestScheme()` The default behavior of this method is to call `ExternalContext.getRequestScheme()` on the wrapped `ExternalContext` object.
`String` | `getRequestServerName()` The default behavior of this method is to call `ExternalContext.getRequestServerName()` on the wrapped `ExternalContext` object.
`int` | `getRequestServerPort()` The default behavior of this method is to call `ExternalContext.getRequestServerPort()` on the wrapped `ExternalContext` object.
`String` | `getRequestServletPath()` The default behavior of this method is to call `ExternalContext.getRequestServletPath()` on the wrapped `ExternalContext` object.
`URL` | `getResource(String path)` The default behavior of this method is to call `ExternalContext.getResource(String)` on the wrapped `ExternalContext` object.
`InputStream` | `getResourceAsStream(String path)` The default behavior of this method is to call `ExternalContext.getResourceAsStream(String)` on the wrapped `ExternalContext` object.
`Set<String>` | `getResourcePaths(String path)` The default behavior of this method is to call `ExternalContext.getResourcePaths(String)` on the wrapped `ExternalContext` object.
`Object` | `getResponse()` The default behavior of this method is to call `ExternalContext.getResponse()` on the wrapped `ExternalContext` object.
`int` | `getResponseBufferSize()` The default behavior of this method is to call `ExternalContext.getResponseBufferSize()` on the wrapped `ExternalContext` object.
`String` | `getResponseCharacterEncoding()` The default behavior of this method is to call `ExternalContext.getResponseCharacterEncoding()` on the wrapped `ExternalContext` object.
`String` | `getResponseContentType()` The default behavior of this method is to call `ExternalContext.getResponseContentType()` on the wrapped `ExternalContext` object.
`OutputStream` | `getResponseOutputStream()` The default behavior of this method is to call `ExternalContext.getResponseOutputStream()` on the wrapped `ExternalContext` object.
`Writer` | `getResponseOutputWriter()` The default behavior of this method is to call `ExternalContext.getResponseOutputWriter()` on the wrapped `ExternalContext` object.
`Object` | `getSession(boolean create)` The default behavior of this method is to call `ExternalContext.getSession(boolean)` on the wrapped `ExternalContext` object.
`Map<String,Object>` | `getSessionMap()` The default behavior of this method is to call `ExternalContext.getAuthType()` on the wrapped `ExternalContext` object.
`Principal` | `getUserPrincipal()` The default behavior of this method is to call `ExternalContext.getUserPrincipal()` on the wrapped `ExternalContext` object.
`abstract ExternalContext` | `getWrapped()` A class that implements this interface uses this method to return an instance of the class being wrapped.
`void` | `invalidateSession()` The default behavior of this method is to call `ExternalContext.invalidateSession()` on the wrapped `ExternalContext` object.
`boolean` | `isResponseCommitted()` The default behavior of this method is to call `ExternalContext.isResponseCommitted()` on the wrapped `ExternalContext` object.
`boolean` | `isUserInRole(String role)` The default behavior of this method is to call `ExternalContext.isUserInRole(String)` on the wrapped `ExternalContext` object.
`void` | `log(String message)` The default behavior of this method is to call `ExternalContext.log(String)` on the wrapped `ExternalContext` object.
`void` | `log(String message, Throwable exception)` The default behavior of this method is to call `ExternalContext.log(String, Throwable)` on the wrapped `ExternalContext` object.
`void` | `redirect(String url)` The default behavior of this method is to call `ExternalContext.redirect(String)` on the wrapped `ExternalContext` object.
`void` | `responseFlushBuffer()` The default behavior of this method is to call `ExternalContext.responseFlushBuffer()` on the wrapped `ExternalContext` object.
`void` | `responseReset()` The default behavior of this method is to call `ExternalContext.responseReset()` on the wrapped `ExternalContext` object.
`void` | `responseSendError(int statusCode, String message)` The default behavior of this method is to call `ExternalContext.responseSendError(int,String)` on the wrapped `ExternalContext` object.
`void` | `setRequest(Object request)` The default behavior of this method is to call `ExternalContext.setRequest(Object)` on the wrapped `ExternalContext` object.
`void` | `setRequestCharacterEncoding(String encoding)` The default behavior of this method is to call `ExternalContext.setRequestCharacterEncoding(String)` on the wrapped `ExternalContext` object.
`void` | `setResponse(Object response)` The default behavior of this method is to call `ExternalContext.setResponse(Object)` on the wrapped `ExternalContext` object.
`void` | `setResponseBufferSize(int size)` The default behavior of this method is to call `ExternalContext.setResponseBufferSize(int)` on the wrapped `ExternalContext` object.
`void` | `setResponseCharacterEncoding(String encoding)` The default behavior of this method is to call `ExternalContext.getResponseCharacterEncoding()` on the wrapped `ExternalContext` object.
`void` | `setResponseContentLength(int length)` The default behavior of this method is to call `ExternalContext.setResponseContentLength(int)` on the wrapped `ExternalContext` object.
`void` | `setResponseContentType(String contentType)` The default behavior of this method is to call `ExternalContext.setResponseContentType(String)` on the wrapped `ExternalContext` object.
`void` | `setResponseHeader(String name, String value)` The default behavior of this method is to call `ExternalContext.setResponseHeader(String,String)` on the wrapped `ExternalContext` object.
`void` | `setResponseStatus(int statusCode)` The default behavior of this method is to call `ExternalContext.setResponseStatus(int)` on the wrapped `ExternalContext` object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExternalContextWrapper

    public ExternalContextWrapper()

Method Detail

### getWrapped

    public abstract ExternalContext getWrapped()

  Description copied from interface: `FacesWrapper`

  A class that implements this interface uses this method to return an instance of the class being wrapped.

  Specified by:
    `getWrapped` in interface `FacesWrapper<ExternalContext>`
  Returns:
    the wrapped `ExternalContext` instance
  See Also:
    `FacesWrapper.getWrapped()`

### dispatch

    public void dispatch(String path)
                  throws IOException

  The default behavior of this method is to call `ExternalContext.dispatch(String)` on the wrapped `ExternalContext` object.

  Specified by:
    `dispatch` in class `ExternalContext`
  Parameters:
    `path` - Context relative path to the specified resource, which must start with a slash ("/") character
  Throws:
    `IOException` - if an input/output error occurs
  See Also:
    `ExternalContext.dispatch(String)`

### encodeActionURL

    public String encodeActionURL(String url)

  The default behavior of this method is to call `ExternalContext.encodeActionURL(String)` on the wrapped `ExternalContext` object.

  Specified by:
    `encodeActionURL` in class `ExternalContext`
  Parameters:
    `url` - The input URL to be encoded
  See Also:
    `ExternalContext.encodeActionURL(String)`

### encodeNamespace

    public String encodeNamespace(String name)

  The default behavior of this method is to call `ExternalContext.encodeNamespace(String)` on the wrapped `ExternalContext` object.

  Specified by:
    `encodeNamespace` in class `ExternalContext`
  Parameters:
    `name` - Name to be encoded
  See Also:
    `ExternalContext.encodeNamespace(String)`

### encodePartialActionURL

    public String encodePartialActionURL(String url)

  Description copied from class: `ExternalContext`

  Return the input URL, after performing any rewriting needed to ensure that it can be used in a partial page submission (ajax request) to correctly identify an addressable action in the current application.

  Servlet:Returns the same encoded URL as the `ExternalContext.encodeActionURL(String url)` method.

  Portlet:Returns an encoded URL that, upon HTTP POST, will invoke the RESOURCE_PHASE of the portlet lifecycle.

  Overrides:
    `encodePartialActionURL` in class `ExternalContext`
  Parameters:
    `url` - The input URL to be encoded

### encodeResourceURL

    public String encodeResourceURL(String url)

  The default behavior of this method is to call `ExternalContext.encodeResourceURL(String)` on the wrapped `ExternalContext` object.

  Specified by:
    `encodeResourceURL` in class `ExternalContext`
  Parameters:
    `url` - The input URL to be encoded
  See Also:
    `ExternalContext.encodeResourceURL(String)`

### getApplicationMap

    public Map<String,Object> getApplicationMap()

  The default behavior of this method is to call `ExternalContext.getApplicationMap()` on the wrapped `ExternalContext` object.

  Specified by:
    `getApplicationMap` in class `ExternalContext`
  See Also:
    `ExternalContext.getApplicationMap()`

### getAuthType

    public String getAuthType()

  The default behavior of this method is to call `ExternalContext.getAuthType()` on the wrapped `ExternalContext` object.

  Specified by:
    `getAuthType` in class `ExternalContext`
  See Also:
    `ExternalContext.getAuthType()`

### getContext

    public Object getContext()

  The default behavior of this method is to call `ExternalContext.getContext()` on the wrapped `ExternalContext` object.

  Specified by:
    `getContext` in class `ExternalContext`
  See Also:
    `ExternalContext.getContext()`

### getInitParameter

    public String getInitParameter(String name)

  The default behavior of this method is to call `ExternalContext.getInitParameter(String)` on the wrapped `ExternalContext` object.

  Specified by:
    `getInitParameter` in class `ExternalContext`
  Parameters:
    `name` - Name of the requested initialization parameter
  See Also:
    `ExternalContext.getInitParameter(String)`

### getInitParameterMap

    public Map getInitParameterMap()

  The default behavior of this method is to call `ExternalContext.getInitParameterMap()` on the wrapped `ExternalContext` object.

  Specified by:
    `getInitParameterMap` in class `ExternalContext`
  See Also:
    `ExternalContext.getInitParameterMap()`

### getRemoteUser

    public String getRemoteUser()

  The default behavior of this method is to call `ExternalContext.getRemoteUser()` on the wrapped `ExternalContext` object.

  Specified by:
    `getRemoteUser` in class `ExternalContext`
  See Also:
    `ExternalContext.getRemoteUser()`

### getRequest

    public Object getRequest()

  The default behavior of this method is to call `ExternalContext.getRequest()` on the wrapped `ExternalContext` object.

  Specified by:
    `getRequest` in class `ExternalContext`
  See Also:
    `ExternalContext.getRequest()`

### getRequestContextPath

    public String getRequestContextPath()

  The default behavior of this method is to call `ExternalContext.getRequestContextPath()` on the wrapped `ExternalContext` object.

  Specified by:
    `getRequestContextPath` in class `ExternalContext`
  See Also:
    `ExternalContext.getRequestContextPath()`

### getRequestCookieMap

    public Map<String,Object> getRequestCookieMap()

  The default behavior of this method is to call `ExternalContext.getRequestCookieMap()` on the wrapped `ExternalContext` object.

  Specified by:
    `getRequestCookieMap` in class `ExternalContext`
  See Also:
    `ExternalContext.getRequestCookieMap()`

### getRequestHeaderMap

    public Map<String,String> getRequestHeaderMap()

  The default behavior of this method is to call `ExternalContext.getRequestHeaderMap()` on the wrapped `ExternalContext` object.

  Specified by:
    `getRequestHeaderMap` in class `ExternalContext`
  See Also:
    `ExternalContext.getRequestHeaderMap()`

### getRequestHeaderValuesMap

    public Map<String,String[]> getRequestHeaderValuesMap()

  The default behavior of this method is to call `ExternalContext.getRequestHeaderValuesMap()` on the wrapped `ExternalContext` object.

  Specified by:
    `getRequestHeaderValuesMap` in class `ExternalContext`
  See Also:
    `ExternalContext.getRequestHeaderValuesMap()`

### getRequestLocale

    public Locale getRequestLocale()

  The default behavior of this method is to call `ExternalContext.getRequestLocale()` on the wrapped `ExternalContext` object.

  Specified by:
    `getRequestLocale` in class `ExternalContext`
  See Also:
    `ExternalContext.getRequestLocale()`

### getRequestLocales

    public Iterator<Locale> getRequestLocales()

  The default behavior of this method is to call `ExternalContext.getRequestLocales()` on the wrapped `ExternalContext` object.

  Specified by:
    `getRequestLocales` in class `ExternalContext`
  See Also:
    `ExternalContext.getRequestLocales()`

### getRequestMap

    public Map<String,Object> getRequestMap()

  The default behavior of this method is to call `ExternalContext.getRequestMap()` on the wrapped `ExternalContext` object.

  Specified by:
    `getRequestMap` in class `ExternalContext`
  See Also:
    `ExternalContext.getRequestMap()`

### getRequestParameterMap

    public Map<String,String> getRequestParameterMap()

  The default behavior of this method is to call `ExternalContext.getRequestParameterMap()` on the wrapped `ExternalContext` object.

  Specified by:
    `getRequestParameterMap` in class `ExternalContext`
  See Also:
    `ExternalContext.getRequestParameterMap()`

### getRequestParameterNames

    public Iterator<String> getRequestParameterNames()

  The default behavior of this method is to call `ExternalContext.getRequestParameterNames()` on the wrapped `ExternalContext` object.

  Specified by:
    `getRequestParameterNames` in class `ExternalContext`
  See Also:
    `ExternalContext.getRequestParameterNames()`

### getRequestParameterValuesMap

    public Map<String,String[]> getRequestParameterValuesMap()

  The default behavior of this method is to call `ExternalContext.getRequestParameterValuesMap()` on the wrapped `ExternalContext` object.

  Specified by:
    `getRequestParameterValuesMap` in class `ExternalContext`
  See Also:
    `ExternalContext.getRequestParameterValuesMap()`

### getRequestPathInfo

    public String getRequestPathInfo()

  The default behavior of this method is to call `ExternalContext.getRequestPathInfo()` on the wrapped `ExternalContext` object.

  Specified by:
    `getRequestPathInfo` in class `ExternalContext`
  See Also:
    `ExternalContext.getRequestPathInfo()`

### getRequestServletPath

    public String getRequestServletPath()

  The default behavior of this method is to call `ExternalContext.getRequestServletPath()` on the wrapped `ExternalContext` object.

  Specified by:
    `getRequestServletPath` in class `ExternalContext`
  See Also:
    `ExternalContext.getRequestServletPath()`

### getResource

    public URL getResource(String path)
                    throws MalformedURLException

  The default behavior of this method is to call `ExternalContext.getResource(String)` on the wrapped `ExternalContext` object.

  Specified by:
    `getResource` in class `ExternalContext`
  Parameters:
    `path` - The path to the requested resource, which must start with a slash ("/" character
  Throws:
    `MalformedURLException` - if the specified path is not in the correct form
  See Also:
    `ExternalContext.getResource(String)`

### getResourceAsStream

    public InputStream getResourceAsStream(String path)

  The default behavior of this method is to call `ExternalContext.getResourceAsStream(String)` on the wrapped `ExternalContext` object.

  Specified by:
    `getResourceAsStream` in class `ExternalContext`
  Parameters:
    `path` - The path to the requested resource, which must start with a slash ("/" character
  See Also:
    `ExternalContext.getResourceAsStream(String)`

### getResourcePaths

    public Set<String> getResourcePaths(String path)

  The default behavior of this method is to call `ExternalContext.getResourcePaths(String)` on the wrapped `ExternalContext` object.

  Specified by:
    `getResourcePaths` in class `ExternalContext`
  Parameters:
    `path` - Partial path used to match resources, which must start with a slash ("/") character
  See Also:
    `ExternalContext.getResourcePaths(String)`

### getResponse

    public Object getResponse()

  The default behavior of this method is to call `ExternalContext.getResponse()` on the wrapped `ExternalContext` object.

  Specified by:
    `getResponse` in class `ExternalContext`
  See Also:
    `ExternalContext.getResponse()`

### getSession

    public Object getSession(boolean create)

  The default behavior of this method is to call `ExternalContext.getSession(boolean)` on the wrapped `ExternalContext` object.

  Specified by:
    `getSession` in class `ExternalContext`
  Parameters:
    `create` - Flag indicating whether or not a new session should be created if there is no session associated with the current request
  See Also:
    `ExternalContext.getSession(boolean)`

### getSessionMap

    public Map<String,Object> getSessionMap()

  The default behavior of this method is to call `ExternalContext.getAuthType()` on the wrapped `ExternalContext` object.

  Specified by:
    `getSessionMap` in class `ExternalContext`
  See Also:
    `ExternalContext.getAuthType()`

### getUserPrincipal

    public Principal getUserPrincipal()

  The default behavior of this method is to call `ExternalContext.getUserPrincipal()` on the wrapped `ExternalContext` object.

  Specified by:
    `getUserPrincipal` in class `ExternalContext`
  See Also:
    `ExternalContext.getUserPrincipal()`

### isUserInRole

    public boolean isUserInRole(String role)

  The default behavior of this method is to call `ExternalContext.isUserInRole(String)` on the wrapped `ExternalContext` object.

  Specified by:
    `isUserInRole` in class `ExternalContext`
  Parameters:
    `role` - Logical role name to be checked
  See Also:
    `ExternalContext.isUserInRole(String)`

### log

    public void log(String message)

  The default behavior of this method is to call `ExternalContext.log(String)` on the wrapped `ExternalContext` object.

  Specified by:
    `log` in class `ExternalContext`
  Parameters:
    `message` - Message to be logged
  See Also:
    `ExternalContext.log(String)`

### log

    public void log(String message,
                    Throwable exception)

  The default behavior of this method is to call `ExternalContext.log(String, Throwable)` on the wrapped `ExternalContext` object.

  Specified by:
    `log` in class `ExternalContext`
  Parameters:
    `message` - Message to be logged
    `exception` - Exception to be logged
  See Also:
    `ExternalContext.log(String, Throwable)`

### redirect

    public void redirect(String url)
                  throws IOException

  The default behavior of this method is to call `ExternalContext.redirect(String)` on the wrapped `ExternalContext` object.

  Specified by:
    `redirect` in class `ExternalContext`
  Parameters:
    `url` - Absolute URL to which the client should be redirected
  Throws:
    `IOException` - if an input/output error occurs
  See Also:
    `ExternalContext.redirect(String)`

### addResponseCookie

    public void addResponseCookie(String name,
                                  String value,
                                  Map<String,Object> properties)

  The default behavior of this method is to call `ExternalContext.addResponseCookie(String, String, Map)` on the wrapped `ExternalContext` object.

  Overrides:
    `addResponseCookie` in class `ExternalContext`
  Parameters:
    `name` - To be passed as the first argument to the `Cookie` constructor.
    `value` - To be passed as the second argument to the `Cookie` constructor.
    `properties` - A `Map` containg key/value pairs to be passed as arguments to the setter methods as described above.
  See Also:
    `ExternalContext.addResponseCookie(String, String, Map)`

### getMimeType

    public String getMimeType(String file)

  The default behavior of this method is to call `ExternalContext.getMimeType(String)` on the wrapped `ExternalContext` object.

  Overrides:
    `getMimeType` in class `ExternalContext`
  Parameters:
    `file` - The file for which the mime type should be obtained.
  See Also:
    `ExternalContext.getMimeType(String)`

### getContextName

    public String getContextName()

  The default behavior of this method is to call `ExternalContext.getContextName()` on the wrapped `ExternalContext` object.

  Overrides:
    `getContextName` in class `ExternalContext`
  See Also:
    `ExternalContext.getContextName()`

### setRequest

    public void setRequest(Object request)

  The default behavior of this method is to call `ExternalContext.setRequest(Object)` on the wrapped `ExternalContext` object.

  Overrides:
    `setRequest` in class `ExternalContext`
  See Also:
    `ExternalContext.setRequest(Object)`

### getRequestScheme

    public String getRequestScheme()

  The default behavior of this method is to call `ExternalContext.getRequestScheme()` on the wrapped `ExternalContext` object.

  Overrides:
    `getRequestScheme` in class `ExternalContext`
  See Also:
    `ExternalContext.getRequestScheme()`

### getRequestServerName

    public String getRequestServerName()

  The default behavior of this method is to call `ExternalContext.getRequestServerName()` on the wrapped `ExternalContext` object.

  Overrides:
    `getRequestServerName` in class `ExternalContext`
  See Also:
    `ExternalContext.getRequestServerName()`

### getRequestServerPort

    public int getRequestServerPort()

  The default behavior of this method is to call `ExternalContext.getRequestServerPort()` on the wrapped `ExternalContext` object.

  Overrides:
    `getRequestServerPort` in class `ExternalContext`
  See Also:
    `ExternalContext.getRequestServerPort()`

### setRequestCharacterEncoding

    public void setRequestCharacterEncoding(String encoding)
                                     throws UnsupportedEncodingException

  The default behavior of this method is to call `ExternalContext.setRequestCharacterEncoding(String)` on the wrapped `ExternalContext` object.

  Overrides:
    `setRequestCharacterEncoding` in class `ExternalContext`
  Throws:
    `UnsupportedEncodingException` - if this is not a valid encoding
  See Also:
    `ExternalContext.setRequestCharacterEncoding(String)`

### getRealPath

    public String getRealPath(String path)

  The default behavior of this method is to call `ExternalContext.getRealPath(String)` on the wrapped `ExternalContext` object.

  Overrides:
    `getRealPath` in class `ExternalContext`
  Parameters:
    `path` - The context of the requested initialization parameter
  See Also:
    `ExternalContext.getRealPath(String)`

### getRequestCharacterEncoding

    public String getRequestCharacterEncoding()

  The default behavior of this method is to call `ExternalContext.getRequestCharacterEncoding()` on the wrapped `ExternalContext` object.

  Overrides:
    `getRequestCharacterEncoding` in class `ExternalContext`
  See Also:
    `ExternalContext.getRequestCharacterEncoding()`

### getRequestContentType

    public String getRequestContentType()

  The default behavior of this method is to call `ExternalContext.getRequestContentType()` on the wrapped `ExternalContext` object.

  Overrides:
    `getRequestContentType` in class `ExternalContext`
  See Also:
    `ExternalContext.getRequestContentType()`

### getRequestContentLength

    public int getRequestContentLength()

  The default behavior of this method is to call `ExternalContext.getRequestContentLength()` on the wrapped `ExternalContext` object.

  Overrides:
    `getRequestContentLength` in class `ExternalContext`
  See Also:
    `ExternalContext.getRequestContentLength()`

### getResponseCharacterEncoding

    public String getResponseCharacterEncoding()

  The default behavior of this method is to call `ExternalContext.getResponseCharacterEncoding()` on the wrapped `ExternalContext` object.

  Overrides:
    `getResponseCharacterEncoding` in class `ExternalContext`
  See Also:
    `ExternalContext.getResponseCharacterEncoding()`

### getResponseContentType

    public String getResponseContentType()

  The default behavior of this method is to call `ExternalContext.getResponseContentType()` on the wrapped `ExternalContext` object.

  Overrides:
    `getResponseContentType` in class `ExternalContext`
  See Also:
    `ExternalContext.getResponseContentType()`

### setResponse

    public void setResponse(Object response)

  The default behavior of this method is to call `ExternalContext.setResponse(Object)` on the wrapped `ExternalContext` object.

  Overrides:
    `setResponse` in class `ExternalContext`
  See Also:
    `ExternalContext.setResponse(Object)`

### getResponseOutputStream

    public OutputStream getResponseOutputStream()
                                         throws IOException

  The default behavior of this method is to call `ExternalContext.getResponseOutputStream()` on the wrapped `ExternalContext` object.

  Overrides:
    `getResponseOutputStream` in class `ExternalContext`
  Throws:
    `IOException`
  See Also:
    `ExternalContext.getResponseOutputStream()`

### getResponseOutputWriter

    public Writer getResponseOutputWriter()
                                   throws IOException

  The default behavior of this method is to call `ExternalContext.getResponseOutputWriter()` on the wrapped `ExternalContext` object.

  Overrides:
    `getResponseOutputWriter` in class `ExternalContext`
  Throws:
    `IOException`
  See Also:
    `ExternalContext.getResponseOutputWriter()`

### setResponseCharacterEncoding

    public void setResponseCharacterEncoding(String encoding)

  The default behavior of this method is to call `ExternalContext.getResponseCharacterEncoding()` on the wrapped `ExternalContext` object.

  Overrides:
    `setResponseCharacterEncoding` in class `ExternalContext`
  See Also:
    `ExternalContext.getResponseCharacterEncoding()`

### setResponseContentType

    public void setResponseContentType(String contentType)

  The default behavior of this method is to call `ExternalContext.setResponseContentType(String)` on the wrapped `ExternalContext` object.

  Overrides:
    `setResponseContentType` in class `ExternalContext`
  Parameters:
    `contentType` - The content type to be set as the contentType of the response.
  See Also:
    `ExternalContext.setResponseContentType(String)`

### invalidateSession

    public void invalidateSession()

  The default behavior of this method is to call `ExternalContext.invalidateSession()` on the wrapped `ExternalContext` object.

  Overrides:
    `invalidateSession` in class `ExternalContext`
  See Also:
    `ExternalContext.invalidateSession()`

### setResponseHeader

    public void setResponseHeader(String name,
                                  String value)

  The default behavior of this method is to call `ExternalContext.setResponseHeader(String,String)` on the wrapped `ExternalContext` object.

  Overrides:
    `setResponseHeader` in class `ExternalContext`
  Parameters:
    `name` - The name of the response header.
    `value` - The value of the response header.
  See Also:
    `ExternalContext.setResponseHeader(String,String)`

### addResponseHeader

    public void addResponseHeader(String name,
                                  String value)

  The default behavior of this method is to call `ExternalContext.addResponseHeader(String,String)` on the wrapped `ExternalContext` object.

  Overrides:
    `addResponseHeader` in class `ExternalContext`
  Parameters:
    `name` - The name of the response header.
    `value` - The value of the response header.
  See Also:
    `ExternalContext.addResponseHeader(String,String)`

### setResponseBufferSize

    public void setResponseBufferSize(int size)

  The default behavior of this method is to call `ExternalContext.setResponseBufferSize(int)` on the wrapped `ExternalContext` object.

  Overrides:
    `setResponseBufferSize` in class `ExternalContext`
  Parameters:
    `size` - the new buffer size
  See Also:
    `ExternalContext.setResponseBufferSize(int)`

### getResponseBufferSize

    public int getResponseBufferSize()

  The default behavior of this method is to call `ExternalContext.getResponseBufferSize()` on the wrapped `ExternalContext` object.

  Overrides:
    `getResponseBufferSize` in class `ExternalContext`
  See Also:
    `ExternalContext.getResponseBufferSize()`

### isResponseCommitted

    public boolean isResponseCommitted()

  The default behavior of this method is to call `ExternalContext.isResponseCommitted()` on the wrapped `ExternalContext` object.

  Overrides:
    `isResponseCommitted` in class `ExternalContext`
  See Also:
    `ExternalContext.isResponseCommitted()`

### responseReset

    public void responseReset()

  The default behavior of this method is to call `ExternalContext.responseReset()` on the wrapped `ExternalContext` object.

  Overrides:
    `responseReset` in class `ExternalContext`
  See Also:
    `ExternalContext.responseReset()`

### responseSendError

    public void responseSendError(int statusCode,
                                  String message)
                           throws IOException

  The default behavior of this method is to call `ExternalContext.responseSendError(int,String)` on the wrapped `ExternalContext` object.

  Overrides:
    `responseSendError` in class `ExternalContext`
  Parameters:
    `statusCode` - an HTTP status code
    `message` - an option message to detail the cause of the code
  Throws:
    `IOException`
  See Also:
    `ExternalContext.responseSendError(int,String)`

### setResponseStatus

    public void setResponseStatus(int statusCode)

  The default behavior of this method is to call `ExternalContext.setResponseStatus(int)` on the wrapped `ExternalContext` object.

  Overrides:
    `setResponseStatus` in class `ExternalContext`
  Parameters:
    `statusCode` - an HTTP status code
  See Also:
    `ExternalContext.setResponseStatus(int)`

### responseFlushBuffer

    public void responseFlushBuffer()
                             throws IOException

  The default behavior of this method is to call `ExternalContext.responseFlushBuffer()` on the wrapped `ExternalContext` object.

  Overrides:
    `responseFlushBuffer` in class `ExternalContext`
  Throws:
    `IOException`
  See Also:
    `ExternalContext.responseFlushBuffer()`

### setResponseContentLength

    public void setResponseContentLength(int length)

  The default behavior of this method is to call `ExternalContext.setResponseContentLength(int)` on the wrapped `ExternalContext` object.

  Overrides:
    `setResponseContentLength` in class `ExternalContext`
  See Also:
    `ExternalContext.setResponseContentLength(int)`

### encodeBookmarkableURL

    public String encodeBookmarkableURL(String baseUrl,
                                        Map<String,List<String>> parameters)

  The default behavior of this method is to call `ExternalContext.encodeBookmarkableURL(String, java.util.Map)` on the wrapped `ExternalContext` object.

  Overrides:
    `encodeBookmarkableURL` in class `ExternalContext`
  Parameters:
    `baseUrl` - The base URL onto which the query string generated by this method will be appended. The URL may contain query parameters.
    `parameters` - The collection of Parameter objects, representing name=value pairs that are used to produce a query string
  See Also:
    `ExternalContext.encodeBookmarkableURL(String, java.util.Map)`

### encodeRedirectURL

    public String encodeRedirectURL(String baseUrl,
                                    Map<String,List<String>> parameters)

  The default behavior of this method is to call `ExternalContext.encodeRedirectURL(String, java.util.Map)` on the wrapped `ExternalContext` object.

  Overrides:
    `encodeRedirectURL` in class `ExternalContext`
  Parameters:
    `baseUrl` - The base URL onto which the query string generated by this method will be appended. The URL may contain query parameters.
    `parameters` - The collection of Parameter objects, representing name=value pairs that are used to produce a query string
  See Also:
    `ExternalContext.encodeRedirectURL(String, java.util.Map)`

### getFlash

    public Flash getFlash()

  The default behavior of this method is to call `ExternalContext.getFlash()` on the wrapped `ExternalContext` object.

  Overrides:
    `getFlash` in class `ExternalContext`
  See Also:
    `ExternalContext.getFlash()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2009 Sun Microsystems, Inc. All Rights Reserved.